ERROR_CODE_EXCEPTION_MAPPING = {
    400: "Bad Request",
    401: "Unauthorized",
    402: "Payment Required",
    403: "Forbidden",
    404: "Not Found",
    405: "Method Not Allowed",
    406: "Not Acceptable",
    407: "Proxy Authentication Required",
    408: "Request Timeout",
    409: "Conflict",
    410: "Gone",
    411: "Length Required",
    412: "Precondition Failed",
    413: "Request Entity Too Large",
    414: "Request-URI Too Long",
    415: "Unsupported Media Type",
    416: "Requested range unsatisfiable",
    417: "Expectation failed",
    418: "I'm a teapot",
    421: "Bad mapping",
    422: "Unprocessable entity",
    423: "Locked",
    424: "Method failure",
    425: "Unordered Collection",
    426: "Upgrade Required",
    428: "Precondition Required",
    429: "Too Many Requests",
    431: "Request Header Fields Too Large",
    444: "No Response",
    449: "Retry With",
    450: "Blocked by Windows Parental Controls",
    451: "Unavailable For Legal Reasons",
    456: "Unrecoverable Error",
    495: "SSL Certificate Error",
    496: "SSL Certificate Required",
    497: "HTTP Request Sent to HTTPS Port",
    499: "Client Closed Request",
    500: "Internal Server Error",
    501: "Not Implemented",
    502: "Bad Gateway",
    503: "Service Unavailable",
    504: "Gateway Time-out",
    505: "HTTP Version not supported",
    506: "Variant Also Negotiates",
    507: "Insufficient storage",
    508: "Loop detected",
    509: "Bandwidth Limit Exceeded",
    510: "Not extended",
    511: "Network authentication required",
    520: "Unknown Error",
    521: "Web Server Is Down",
    522: "Connection Timed Out",
    523: "Origin Is Unreachable",
    524: "A Timeout Occurred",
    525: "SSL Handshake Failed",
    526: "Invalid SSL Certificate",
    527: "Railgun Error",
}

def get_exception_for_error_code(error_code):
    error_msg = ERROR_CODE_EXCEPTION_MAPPING.get(error_code, "Unlisted Error")
    return "Request returned: Error %s => %s" % (error_code, error_msg)
